# frozen_string_literal: true

require 'net/http'
require 'uri'
require 'nokogiri'
require 'open-uri'

url = 'https://www.set.or.th/set/companyhighlight.do?symbol=DELTA'
doc = Nokogiri::HTML.parse(URI.open(url))
tags = doc.xpath('//td')
tags.each_with_index do |tag, i|
  print "#{doc.xpath('//h3').text} : #{tags[i + 4].text}\n" if tag.text == 'สินทรัพย์รวม'
end
